Tournament
GET/api/v1/tournaments
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: name, start_time, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "tournaments": [ { "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ]}POST/api/v1/tournaments
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "tournament_type": "string" }'{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string"{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}POST/api/v1/tournaments/{tournament_id}/complete
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/complete"{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}/matches
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: match_number, round_number. Default: round_number.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/matches"{ "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/tournaments/{tournament_id}/matches/{match_id}/report
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Match ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/matches/string/report" \ -H "Content-Type: application/json" \ -d '{ "score": "string", "winner_id": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}/participants
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/participants"[ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" }]POST/api/v1/tournaments/{tournament_id}/participants
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: seed_rank, current_wins, current_losses, registered_at. Default: registered_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/participants"{ "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string"}GET/api/v1/tournaments/{tournament_id}/standings
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Query Parameters
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/standings"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "standings": [ { "losses": 0, "participant_id": "string", "points": 0.1, "rank": 0, "user_id": "string", "wins": 0 } ], "tournament_id": "string"}POST/api/v1/tournaments/{tournament_id}/start
Authorization
bearer_token In: header
Path Parameters
Tournament ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/start"[ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" }]